Package tigase.workgroupqueues

## Class Activator

- java.lang.Object
- - tigase.workgroupqueues.Activator

- All Implemented Interfaces:
    `java.util.EventListener`, `org.osgi.framework.BundleActivator`, `org.osgi.framework.ServiceListener`

      public class Activator
      extends java.lang.Object
      implements org.osgi.framework.BundleActivator, org.osgi.framework.ServiceListener

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Activator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Class<? extends WorkgroupQueuesComponent>` | `getComponentClass()` |
    `void` | `serviceChanged​(org.osgi.framework.ServiceEvent event)` |
    `void` | `start​(org.osgi.framework.BundleContext bc)` |
    `void` | `stop​(org.osgi.framework.BundleContext bc)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

  - ### Constructor Detail

    - #### Activator

          public Activator()

  - ### Method Detail

    - #### serviceChanged

          public void serviceChanged​(org.osgi.framework.ServiceEvent event)

      Specified by:
        `serviceChanged` in interface `org.osgi.framework.ServiceListener`

    - #### start

          public void start​(org.osgi.framework.BundleContext bc)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop​(org.osgi.framework.BundleContext bc)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### getComponentClass

          protected java.lang.Class<? extends WorkgroupQueuesComponent> getComponentClass()